import nodeResolve from "@rollup/plugin-node-resolve";
import babel from "@rollup/plugin-babel";
import typescript from "@rollup/plugin-typescript";



export default [{
    input: "src/index.ts",
    output: [
        {
            file: "dist/index.cjs.js",
            format: "cjs",
        },
        {
            file: "dist/index.esm.js",
            format: "esm",
        },
    ],
    plugins: [
        nodeResolve(),
        typescript({
            exclude: "node_modules/**",
        }),
        babel({
            exclude: "node_modules/**",
        }),
    ],
}];
